# DXGfxLib.BBoxPlanes Class Reference

This class is used to contain the collection of planes that do constitue a bounding box. More...

List of all members.

## Public Member Functions
| BBoxPlanes ()
| Default constructor doesn't perform anything.
| BBoxPlanes (BBox bbox)
| Build the planes from the BBox passed as parameter.
void | BuildPlanes (BBox bbox)
| Build the planes from the BBox passed as parameter.
bool | CheckCollision (BBox bbox)
| Check collision of the specified bbox with the plane currently stored in the member variables. Return true if there is an overlap between space regions.
| BBoxPlanes ()
| Default constructor doesn't perform anything.
| BBoxPlanes (BBox bbox)
| Build the planes from the BBox passed as parameter.
void | BuildPlanes (BBox bbox)
| Build the planes from the BBox passed as parameter.
bool | CheckCollision (BBox bbox)
| Check collision of the specified bbox with the plane currently stored in the member variables. Return true if there is an overlap between space regions.

## Detailed Description

This class is used to contain the collection of planes that do constitue a bounding box.

Definition at line 580 of file MathUtil.cs.

## Constructor & Destructor Documentation

DXGfxLib.BBoxPlanes.BBoxPlanes | ( |  | ) |

Default constructor doesn't perform anything.

Definition at line 592 of file MathUtil.cs.

DXGfxLib.BBoxPlanes.BBoxPlanes | ( | BBox | bbox | ) |

Build the planes from the BBox passed as parameter.

Parameters:

  | bbox |

Definition at line 600 of file MathUtil.cs.

Here is the call graph for this function:

DXGfxLib.BBoxPlanes.BBoxPlanes | ( |  | ) |

Default constructor doesn't perform anything.

Definition at line 592 of file MathUtil.cs.

DXGfxLib.BBoxPlanes.BBoxPlanes | ( | BBox | bbox | ) |

Build the planes from the BBox passed as parameter.

Parameters:

  | bbox |

Definition at line 600 of file MathUtil.cs.

Here is the call graph for this function:

## Member Function Documentation

void DXGfxLib.BBoxPlanes.BuildPlanes | ( | BBox | bbox | ) |

Build the planes from the BBox passed as parameter.

Parameters:

  | bbox |

Definition at line 609 of file MathUtil.cs.

void DXGfxLib.BBoxPlanes.BuildPlanes | ( | BBox | bbox | ) |

Build the planes from the BBox passed as parameter.

Parameters:

  | bbox |

Definition at line 609 of file MathUtil.cs.

Here is the caller graph for this function:

bool DXGfxLib.BBoxPlanes.CheckCollision | ( | BBox | bbox | ) |

Check collision of the specified bbox with the plane currently stored in the member variables. Return true if there is an overlap between space regions.

Parameters:

  | bbox |

Returns:

Definition at line 631 of file MathUtil.cs.

bool DXGfxLib.BBoxPlanes.CheckCollision | ( | BBox | bbox | ) |

Check collision of the specified bbox with the plane currently stored in the member variables. Return true if there is an overlap between space regions.

Parameters:

  | bbox |

Returns:

Definition at line 631 of file MathUtil.cs.

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/MathUtil.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/MathUtil.cs